## tea 1.0

=== DESCRIPTION ===
Package: tea
Type: Package
Title: Threshold Estimation Approaches
Version: 1.0
Date: 2017-01-02
Author: Johannes Ossberger
Maintainer: Johannes Ossberger <johannes.ossberger@fau.de>
Description: Different approaches for selecting the threshold in generalized Pareto distributions. Most of them are based on minimizing the AMSE-criterion or at least by reducing the bias of the assumed GPD-model. Others are heuristically motivated by searching for stable sample paths, i.e. a nearly constant region of the tail index estimator with respect to k, which is the number of data in the tail. The third class is motivated by graphical inspection. In addition to the very helpful eva package which includes many goodness of fit tests for the generalized Pareto distribution, the sequential testing procedure provided in Thompson et al. (2009) <doi:10.1016/j.coastaleng.2009.06.003> is also implemented here.
License: GPL-2
Depends: eva
Packaged: 2017-01-22 10:01:38 UTC; J.Ossberger
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2017-01-22 17:02:24

## tea 1.1

=== DESCRIPTION ===
Package: tea
Type: Package
Title: Threshold Estimation Approaches
Version: 1.1
Date: 2020-04-17
Author: Johannes Ossberger
Maintainer: Johannes Ossberger <johannes.ossberger@gmail.com>
Description: Different approaches for selecting the threshold in generalized Pareto distributions. Most of them are based on minimizing the AMSE-criterion or at least by reducing the bias of the assumed GPD-model. Others are heuristically motivated by searching for stable sample paths, i.e. a nearly constant region of the tail index estimator with respect to k, which is the number of data in the tail. The third class is motivated by graphical inspection. In addition, a sequential testing procedure for GPD-GoF-tests is also implemented here.
License: GPL-3
Imports: Matrix, stats, graphics
RoxygenNote: 6.1.1
Packaged: 2020-04-17 22:36:12 UTC; J.Ossberger
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2020-04-19 15:00:06 UTC

## tea 26.0.1

=== debian/changelog ===
tea (26.0.1-1) unstable; urgency=low

  * New maintainer (Closes: #533714)
  * New Upstream Version (Closes: #514878, LP: #327463)
    - No longer linked with OpenSSL library (Closes: #522313)
  * Add aspell and hunspell to recommends to enable spell-checking
    (Closes: #505493, LP: #292466)
  * Add a German translation
  * Switch to dpkg source format 3.0 (quilt)
  * Update Standards-Version to 3.8.3

 -- Tobias Quathamer <toddy@debian.org>  Thu, 12 Nov 2009 15:59:15 +0100

tea (17.6.1-1) unstable; urgency=low

  [ Marco Rodrigues ]
  * New upstream version.
  * Bump debhelper and compat to version 6.
  * Bump Standards-Version to 3.8.0.

  [ Lior Kaplan ]
  * Remove build dependency on autotools-dev as upstream updated it's
    config.{guess,sub}.

 -- Marco Rodrigues <gothicx@sapo.pt>  Mon, 09 Jun 2008 09:39:26 +0100

tea (17.6.0-1) unstable; urgency=low

  [ Marco Rodrigues ]
  * New upstream release
    - Depends on libcurl to support the new "Check for broken links" feature.

  [ Lior Kaplan ]
  * Fix tea-data's doc-base section as the doc-base manual changed.
  * Build against GtkSourceView2 instead of GtkSourceView.
  * Build depend on libzzip-dev, remove unzip from Recommends.
  * Build depend on autotools-dev as upsteam has an old confiug.sub file.
  * Remove old / unneeded build dependency on libgconf2-dev, libgnomevfs2-dev.

 -- Lior Kaplan <kaplan@debian.org>  Sat, 15 Mar 2008 12:09:13 +0200

tea (17.5.4-1) unstable; urgency=low

  * New upstream release

 -- Marco Rodrigues <gothicx@sapo.pt>  Thu, 31 Jan 2008 11:44:46 +0200

tea (17.4.1-2) unstable; urgency=low

  * Add configure option to enable unstripped binaries (Closes: #438111).
  * Add dh_desktop to debian/rules.
  * Bump Standards-Version to 3.7.3 (no changes needed).

 -- Marco Rodrigues <gothicx@sapo.pt>  Fri, 28 Dec 2007 21:53:36 +0200

tea (17.4.1-1) unstable; urgency=low

  * New upstream release
  * Add Homepage field to control file.
  * Add version and Removed Encoding from desktop file.

 -- Marco Rodrigues <gothicx@sapo.pt>  Fri, 30 Nov 2007 19:48:53 +0200

tea (17.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #445709).

 -- Marco Rodrigues <gothicx@sapo.pt>  Sun, 07 Oct 2007 22:19:48 +0100

tea (17.0.1-1) unstable; urgency=low

  * New upstream release
    - Fixes FTBFS with libgtk2.0-dev 2.11.5 (Debian experimental and Ubuntu 
      gutsy). Discovered by Jordan Mantha from Ubuntu.
    - Merges Debian patches upstream.

 -- Lior Kaplan <kaplan@debian.org>  Thu, 12 Jul 2007 01:49:22 +0300

tea (17.0.0-1) unstable; urgency=low

  * New upstream release
  * Update menu file as required by the menu transition.
  * Add .desktop file by Sam Cater (patch from Ubuntu).
  * Add João Pinto as a co-maintainer, as he worked on this package for
    getdeb.net (Closes: #408578).

 -- Lior Kaplan <kaplan@debian.org>  Tue, 10 Jul 2007 20:59:33 +0300

tea (17.0.0-1~getdeb1) feisty; urgency=low

  * New upstream version

 -- Joao Pinto <joao.pinto@getdeb.net>  Mon, 09 Jul 2007 21:16:57 +0000

tea (16.1.1-1~getdeb1) feisty; urgency=low

  * New upstream version

 -- Joao Pinto <joao.pinto@getdeb.net>  Tue, 01 May 2007 20:10:24 +0000

tea (16.1.0-0~getdeb1) edgy; urgency=low

  * New upstream version

 -- Joao Pinto <joao.pinto@getdeb.net>  Sun, 15 Apr 2007 16:28:44 +0000

tea (14.2.4-2ubuntu1) feisty; urgency=low

  * Added .desktop file (LP: #81456)

  * Changed Maintainer field [Jordan Mantha]

 -- Sam Cater <sacater@btopenworld.com>  Wed, 28 Feb 2007 20:53:39 +0000

tea (14.2.4-2) unstable; urgency=low

  * Fix debian/rules so the copyright file will be present in all binary
    packages (Closes: #393618).

 -- Lior Kaplan <kaplan@debian.org>  Fri, 20 Oct 2006 11:38:24 +0200

tea (14.2.4-1) unstable; urgency=low

  * New upstream release
    - Now tea quits cleanly (Closes: #368265)
    - Fix segfault trying to open a new file using "New Kwas" (Closes: #368254).
  * debian/control
    - Fix misleading description "Extremely small size" (Closes: #359776).
    - Upgrade to standards version 3.7.2 (no changes needed)

 -- Lior Kaplan <kaplan@debian.org>  Fri, 25 Aug 2006 20:06:40 +0300

tea (12.0-1) unstable; urgency=low

  * New upstream release
  * Dedicated to Shlomi Loubaton

 -- Lior Kaplan <kaplan@debian.org>  Sat, 18 Mar 2006 23:20:21 +0200

tea (11.0-1) unstable; urgency=low

  * New upstream release
  * Updated German translation by Tobias Toedter <t.toedter@gmx.net> (Closes: #346103)
  * debian/rules: Move dh_installdocs to arch-independent (Closes: #322767)
  * debian/copyright: fix missing part of the license ("or any later version").

 -- Lior Kaplan <webmaster@guides.co.il>  Fri,  6 Jan 2006 21:02:03 +0200

tea (10.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: update author email.
  * teaed manpage updates. Closes: #308579, #308768, #311304
  * Upstream fix for changing the interface language on locale change. 
    Closes: #311303
  * Upstream fix FTBFS on amd64/gcc-4.0. Closes: #314960
  * Split arch-independent files to tea-data package.

 -- Lior Kaplan <webmaster@guides.co.il>  Tue, 26 Jul 2005 22:55:05 +0300

tea (9.0-1) unstable; urgency=high

  * New upstream release
  * Split debian/tea.doc-base into two files. Closes: #304444
  * debian/rules: add --enable-debian to configure options.
  * Change /usr/bin/tea to /usr/bin/teaed (conflicts with dak package). 
    Closes: #303352
  * Upstream applied patch for amd64/gcc-4.0. Closes: #303416
  * debian/control: add bzip2 & unzip to Recommends field.
  * remove debian/tea_spell.c.patch since fixed on upstream

 -- Lior Kaplan <webmaster@guides.co.il>  Mon,  9 May 2005 22:42:53 +0300

tea (7.0-2) unstable; urgency=low

  * src/tea_spell.c: Apply patch from Erik Johansson <erre@lysator.liu.se>. 
    Closes: #303420
  * debian/control: add Shaul Karl <shaul@debian.org> to uploaders.
  * debian/tea.doc-base: add missing 'Files' field. Closes: #303305 



=== debian/control ===
Source: tea
Section: editors
Priority: optional
Maintainer: Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 7.0.50~), pkg-config, libqt4-dev,
 libaspell-dev, libhunspell-dev
Standards-Version: 3.8.3
Homepage: http://tea-editor.sourceforge.net/

Package: tea
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tea-data (= ${source:Version})
Recommends: bzip2, antiword, aspell, hunspell
Description: text editor with syntax highlighting & UTF support
 TEA provides you hundreds of functions. Want some tea?
 .
 TEA features are:
  * Spell checker (using aspell and hunspell)
  * Tabbed layout engine
  * Support for multiple encodings
  * Syntax highlighting
  * Code snippets and templates support
  * Wikipedia, Docbook, LaTeX, and Lout editing support
  * Reading of OpenDocument Text, SWX (old OpenOffice.org format),
    KWord, AbiWord, DOCX, Scribus, RTF, FB2
  * Hotkeys customizations
  * "Open at cursor"-function for HTML-files and images
  * Miscalleneous HTML tools
  * Preview in external browsers
  * String-handling functions such as sorting, reverse, format killing, 
    trimming, filtering, conversions etc.
  * Bookmarks
  * Drag'n'drop support (with text files and pictures)
  * Built-in image viewer (PNG, JPEG, GIF, WBMP, BMP, SVG)

Package: tea-data
Architecture: all
Depends: ${misc:Depends}
Recommends: tea
Description: text editor with syntax highlighting & UTF support (data files)
 TEA provides you hundreds of functions. Want some tea?
 .
 This package contains static data for the tea package. You can safely remove
 it when removing tea.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


override_dh_auto_configure:
	qmake PREFIX=/usr/bin

override_dh_auto_install:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tea install

%:
	dh $@

## tea 28.1.0

=== debian/changelog ===
tea (28.1.0-1) unstable; urgency=low

  * New upstream version
  * Update Standards-Version to 3.9.0, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Mon, 19 Jul 2010 10:58:34 +0200

tea (28.0.0-1) unstable; urgency=low

  * New upstream version
    - Add libx11-dev to Build-Dependencies (new screenshot feature)

 -- Tobias Quathamer <toddy@debian.org>  Tue, 15 Jun 2010 13:13:50 +0200

tea (27.0.0-1) unstable; urgency=low

  * New upstream version
    - German translation is now included, so those patches are removed.

 -- Tobias Quathamer <toddy@debian.org>  Fri, 05 Mar 2010 10:22:07 +0100

tea (26.2.2-1) unstable; urgency=low

  * New upstream version
  * Update Standards-Version to 3.8.4, no changes needed
  * Update copyright years

 -- Tobias Quathamer <toddy@debian.org>  Sat, 06 Feb 2010 18:33:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tobias Quathamer <toddy@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), pkg-config, libqt4-dev,
- libaspell-dev, libhunspell-dev
-Standards-Version: 3.8.3
+ libaspell-dev, libhunspell-dev, libx11-dev
+Standards-Version: 3.9.0
 Homepage: http://tea-editor.sourceforge.net/
 
 Package: tea

=== debian/watch ===
version=3
http://sf.net/tea-editor/tea-(.*)\.tar\.bz2

## tea 28.1.1

=== debian/changelog ===
tea (28.1.1-1ubuntu1) natty; urgency=low

  * libs.diff: Added -lz -X11 to LIBS for binutils-gold, fixes 
    FTBFS (LP: #664662)
  * debian/control: Added zlib1g-dev to build-dep

 -- Roy Jamison <xteejyx@googlemail.com>  Fri, 22 Oct 2010 11:00:59 +0200

tea (28.1.1-1) unstable; urgency=low

  * New upstream version
  * Update Standards-Version to 3.9.1, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Fri, 06 Aug 2010 16:42:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: tea
 Section: editors
 Priority: optional
-Maintainer: Tobias Quathamer <toddy@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tobias Quathamer <toddy@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), pkg-config, libqt4-dev,
- libaspell-dev, libhunspell-dev, libx11-dev
-Standards-Version: 3.9.0
+ libaspell-dev, libhunspell-dev, libx11-dev, zlib1g-dev
+Standards-Version: 3.9.1
 Homepage: http://tea-editor.sourceforge.net/
 
 Package: tea

## tea 29.0.1

=== debian/changelog ===
tea (29.0.1-1build1) precise; urgency=low

  * Rebuild against libhunspell-1.3-0.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 27 Nov 2011 12:39:15 +0100

tea (29.0.1-1) unstable; urgency=low

  * New upstream version
  * Update years in debian/copyright
  * Fix some more spelling errors
  * Update Standards-Version to 3.9.2, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Thu, 07 Apr 2011 20:23:45 +0200

tea (28.1.4-1) unstable; urgency=low

  * New upstream version
    - Add -lz to linking options. Closes: #556485
  * Add zlib1g-dev to Build-Depends
  * Use debhelper v8
  * Add patch to fix some spelling errors
  * Use -Wl,--as-needed to remove unnecessary linking to libraries

 -- Tobias Quathamer <toddy@debian.org>  Wed, 23 Feb 2011 01:30:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: tea
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), pkg-config, libqt4-dev,
+Maintainer: Tobias Quathamer <toddy@debian.org>
+Build-Depends: debhelper (>= 8), pkg-config, libqt4-dev,
  libaspell-dev, libhunspell-dev, libx11-dev, zlib1g-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://tea-editor.sourceforge.net/
 
 Package: tea
@@ -21,7 +20,7 @@
   * Support for multiple encodings
   * Syntax highlighting
   * Code snippets and templates support
-  * Wikipedia, Docbook, LaTeX, and Lout editing support
+  * Wikipedia, DocBook, LaTeX, and Lout editing support
   * Reading of OpenDocument Text, SWX (old OpenOffice.org format),
     KWord, AbiWord, DOCX, Scribus, RTF, FB2
   * Hotkeys customizations

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	qmake PREFIX=/usr/bin QMAKE_LFLAGS=-Wl,--as-needed

override_dh_auto_install:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tea install

## tea 32.0.1

=== debian/changelog ===
tea (32.0.1-1) unstable; urgency=low

  * Imported Upstream version 32.0.1
  * Add packaging repository URL to debian/control
  * Use all hardening features
  * Refresh patches

 -- Tobias Quathamer <toddy@debian.org>  Sat, 24 Mar 2012 15:31:29 +0100

tea (31.2.0-1) unstable; urgency=low

  * Imported Upstream version 31.2.0
  * Refresh debian/patches
  * Switch to debhelper v9
  * Use machine-readable format v1.0 for debian/copyright
  * Update to Standards-Version 3.9.3

 -- Tobias Quathamer <toddy@debian.org>  Wed, 29 Feb 2012 13:05:53 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Use all hardening features
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	qmake PREFIX=/usr/bin \
	QMAKE_CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
	QMAKE_CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
	QMAKE_LFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tea install

## tea 33.1.0

=== debian/changelog ===
tea (33.1.0-1) unstable; urgency=low

  * Imported Upstream version 33.1.0
  * Refresh patches

 -- Tobias Quathamer <toddy@debian.org>  Tue, 12 Jun 2012 17:06:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: editors
 Priority: optional
 Maintainer: Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 8), pkg-config, libqt4-dev,
+Build-Depends: debhelper (>= 9), pkg-config, libqt4-dev,
  libaspell-dev, libhunspell-dev, libx11-dev, zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://tea-editor.sourceforge.net/
+Vcs-Git: git://anonscm.debian.org/users/toddy/debian/tea.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/toddy/debian/tea.git;a=summary
 
 Package: tea
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Use all hardening features
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# qmake doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND   = $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

# Reduce unneeded linked libraries
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	qmake PREFIX=/usr/bin \
	QMAKE_CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
	QMAKE_CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS)" \
	QMAKE_LFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tea install

## tea 37.0.0

=== debian/changelog ===
tea (37.0.0-1) unstable; urgency=low

  * Imported Upstream version 37.0.0
  * Update watch file for new download location
  * Update URL of homepage in debian/control and debian/copyright
  * Add Keywords to .desktop file
  * Add new patch to fix installation path for binary
  * Reduce debian/rules and use even more debhelper magic
  * Fix another spelling error

 -- Tobias Quathamer <toddy@debian.org>  Thu, 31 Oct 2013 14:46:38 +0100

tea (36.0.2-1) unstable; urgency=low

  * Imported Upstream version 36.0.2. Closes: #719852
  * Change Recommends: from "aspell, hunspell" to "aspell | hunspell"
    Thanks to Justin B Rye <jbr@edlug.org.uk>
  * Package description review.
    Thanks to Justin B Rye <jbr@edlug.org.uk> (Closes: #680356)
  * Refresh patch to apply cleanly
  * Update debian/copyright
  * Update to Standards-Version 3.9.4, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Fri, 16 Aug 2013 21:19:56 +0200

=== debian/control ===
Source: tea
Section: editors
Priority: optional
Maintainer: Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 9), pkg-config, libqt4-dev,
 libaspell-dev, libhunspell-dev, libx11-dev, zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://semiletov.org/tea/
Vcs-Git: git://anonscm.debian.org/users/toddy/debian/tea.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/toddy/debian/tea.git;a=summary

Package: tea
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tea-data (= ${source:Version})
Recommends: bzip2, antiword, aspell | hunspell
Description: graphical text editor with syntax highlighting
 TEA provides you with hundreds of functions. Want some tea?
 .
 TEA features:
  * Qt-based GUI with a tabbed layout engine;
  * hotkey customization;
  * spell checking (using aspell or hunspell);
  * support for multiple encodings;
  * syntax highlighting;
  * support for code snippets and templates;
  * string-handling functions such as sorting, reversing, de-formatting,
    trimming, filtering, conversions etc.;
  * editing support for Wikipedia, DocBook, LaTeX, and Lout;
  * reading support for text-based word processor formats (ABW, DOCX, FB2,
    KWD, ODT, RTF, SLA, SWX);
  * bookmarks;
  * miscellaneous XML/XHTML/HTML tools;
  * "open at cursor" function from HTML href or img tags;
  * preview in external browsers;
  * drag'n'drop support (with text files and pictures);
  * built-in image viewer (BMP, GIF, JPEG, PNG, SVG, WBMP).

Package: tea-data
Architecture: all
Depends: ${misc:Depends}
Recommends: tea
Description: graphical text editor with syntax highlighting - data files
 TEA provides you with hundreds of functions. Want some tea?
 .
 This package contains static data needed for the package tea.

=== debian/rules ===
#!/usr/bin/make -f

# Reduce unneeded linked libraries
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tea install

=== debian/watch ===
version=3
http://semiletov.org/tea/dloads/tea-(.*)\.tar\.bz2

## tea 38.0.0

=== debian/changelog ===
tea (38.0.0-1) unstable; urgency=medium

  * Imported Upstream version 38.0.0
  * Refresh patches

 -- Tobias Quathamer <toddy@debian.org>  Wed, 22 Oct 2014 19:53:04 +0200

tea (37.2.1-1) unstable; urgency=low

  * Imported Upstream version 37.2.1
  * Update copyright years
  * Update to Standards-Version 3.9.6, no changes needed
  * Refresh patches

 -- Tobias Quathamer <toddy@debian.org>  Tue, 14 Oct 2014 12:27:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tobias Quathamer <toddy@debian.org>
 Build-Depends: debhelper (>= 9), pkg-config, libqt4-dev,
  libaspell-dev, libhunspell-dev, libx11-dev, zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://semiletov.org/tea/
 Vcs-Git: git://anonscm.debian.org/users/toddy/debian/tea.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/toddy/debian/tea.git;a=summary

## tea 41.0.0

=== debian/changelog ===
tea (41.0.0-1build1) wily; urgency=medium

  * No-change rebuild against libhunspell-1.3-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 19:44:27 +0000

tea (41.0.0-1) unstable; urgency=medium

  * Imported Upstream version 41.0.0
  * Update project homepage in debian/control
  * Update watch file
  * Switch to Qt5 for building the package

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 22 Jun 2015 09:33:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: tea
 Section: editors
 Priority: optional
-Maintainer: Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 9), pkg-config, libqt4-dev,
- libaspell-dev, libhunspell-dev, libx11-dev, zlib1g-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
+Build-Depends: debhelper (>= 9), pkg-config, qt5-default,
+ qttools5-dev-tools, libqt5qml5, libqt5quick5, qtdeclarative5-dev,
+ libaspell-dev, libhunspell-dev, zlib1g-dev
 Standards-Version: 3.9.6
-Homepage: http://semiletov.org/tea/
+Homepage: http://tea.ourproject.org/
 Vcs-Git: git://anonscm.debian.org/users/toddy/debian/tea.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/toddy/debian/tea.git;a=summary

## tea 41.1.0

=== debian/changelog ===
tea (41.1.0-2) unstable; urgency=medium

  * Remove menu file
  * Build-Depend on qtbase5-dev instead of qt5-default
  * Enable all hardening features
  * Update Vcs-* URLs
  * Fix more spelling errors
  * Update to Standards-Version 3.9.7, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 09 Feb 2016 16:43:05 +0100

tea (41.1.0-1) unstable; urgency=medium

  * Imported Upstream version 41.1.0. Closes: #799769
  * Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 22 Sep 2015 19:53:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: tea
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 9), pkg-config, qt5-default,
+Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
+Build-Depends: debhelper (>= 9), pkg-config, qtbase5-dev,
  qttools5-dev-tools, libqt5qml5, libqt5quick5, qtdeclarative5-dev,
  libaspell-dev, libhunspell-dev, zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://tea.ourproject.org/
-Vcs-Git: git://anonscm.debian.org/users/toddy/debian/tea.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/toddy/debian/tea.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/tea.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/tea.git
 
 Package: tea
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #!/usr/bin/make -f
 
+# Use Qt5
+export QT_SELECT=qt5
 # Reduce unneeded linked libraries
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+# Use all hardening options
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=3
http://tea.ourproject.org/dloads/tea-(.*)\.tar\.bz2

## tea 41.1.1

=== debian/changelog ===
tea (41.1.1-1) unstable; urgency=medium

  * Imported Upstream version 41.1.1
  * Refresh patches
  * Update to Standards-Version 3.9.8, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 02 May 2016 21:07:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), pkg-config, qtbase5-dev,
  qttools5-dev-tools, libqt5qml5, libqt5quick5, qtdeclarative5-dev,
  libaspell-dev, libhunspell-dev, zlib1g-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://tea.ourproject.org/
 Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/tea.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/tea.git

## tea 42.0.0

=== debian/changelog ===
tea (42.0.0-0mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 05 Aug 2016 14:14:12 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,19 @@
 Source: tea
 Section: editors
 Priority: optional
-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 9), pkg-config, qtbase5-dev,
- qttools5-dev-tools, libqt5qml5, libqt5quick5, qtdeclarative5-dev,
- libaspell-dev, libhunspell-dev, zlib1g-dev
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
+Build-Depends: debhelper (>= 9),
+ pkg-config,
+ qtbase5-dev,
+ qttools5-dev-tools,
+ libqt5qml5,
+ libqt5quick5,
+ qtdeclarative5-dev,
+ libaspell-dev,
+ libhunspell-dev,
+ zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: http://tea.ourproject.org/
 Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/tea.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-# Use Qt5
+# Use Qt4
 export QT_SELECT=qt5
 # Reduce unneeded linked libraries
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

## tea 43.1.0

=== debian/changelog ===
tea (43.1.0-1) unstable; urgency=medium

  * Imported Upstream version 43.1.0
  * Refresh patch

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 17 Sep 2016 08:14:15 +0200

tea (43.0.0-1) unstable; urgency=medium

  * Imported Upstream version 43.0.0
  * Update patch
  * Add Multi-Arch: foreign to tea-data
  * Add support for reading PDF and DjVu files
  * Use C.UTF-8 locale for building to support UTF-8 filename
  * Switch to debhelper v10

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 16 Sep 2016 16:36:23 +0200

tea (42.0.0-3) unstable; urgency=medium

  * Fix FTBFS: Use original name for icon.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #837086)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 09 Sep 2016 11:34:53 +0200

tea (42.0.0-2) unstable; urgency=medium

  * Install tea icon into usr/share/icons/hicolor/128x128/apps
  * Remove obsolete .xpm icon
  * Add German translation to .desktop file

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 07 Sep 2016 16:46:11 +0200

tea (42.0.0-1) unstable; urgency=medium

  * Imported Upstream version 42.0.0
    - Drop patches with spelling fixes, have been applied upstream
  * Refresh remaining patch

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 11 Aug 2016 22:52:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,11 @@
 Source: tea
 Section: editors
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 9),
- pkg-config,
- qtbase5-dev,
- qttools5-dev-tools,
- libqt5qml5,
- libqt5quick5,
- qtdeclarative5-dev,
- libaspell-dev,
- libhunspell-dev,
- zlib1g-dev
+Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
+Build-Depends: debhelper (>= 10), pkg-config, qtbase5-dev,
+ qttools5-dev-tools, libqt5qml5, libqt5quick5, qtdeclarative5-dev,
+ libaspell-dev, libhunspell-dev, zlib1g-dev, libpoppler-qt5-dev,
+ libdjvulibre-dev
 Standards-Version: 3.9.8
 Homepage: http://tea.ourproject.org/
 Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/tea.git
@@ -38,6 +30,7 @@
   * editing support for Wikipedia, DocBook, LaTeX, and Lout;
   * reading support for text-based word processor formats (ABW, DOCX, FB2,
     KWD, ODT, RTF, SLA, SWX);
+  * reading support for PDF and DjVu files, if they contain text;
   * bookmarks;
   * miscellaneous XML/XHTML/HTML tools;
   * "open at cursor" function from HTML href or img tags;
@@ -47,6 +40,7 @@
 
 Package: tea-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: tea
 Description: graphical text editor with syntax highlighting - data files

## tea 44.0.0

=== debian/changelog ===
tea (44.0.0-1) unstable; urgency=medium

  * New upstream version 44.0.0
    - Remove patch for qmake .pro file, applied upstream
    - Add new patch for desktop file
  * Update d/copyright
  * Update Standards-Version to 4.0.0
    - Use HTTPS for copyright-format URL in d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 21 Jun 2017 12:16:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  qttools5-dev-tools, libqt5qml5, libqt5quick5, qtdeclarative5-dev,
  libaspell-dev, libhunspell-dev, zlib1g-dev, libpoppler-qt5-dev,
  libdjvulibre-dev
-Standards-Version: 3.9.8
-Homepage: http://tea.ourproject.org/
+Standards-Version: 4.0.0
+Homepage: https://tea.ourproject.org/
 Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/tea.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/tea.git

## tea 44.1.0

=== debian/changelog ===
tea (44.1.0-1) unstable; urgency=medium

  * New upstream version 44.1.0
    - Refresh patch, mostly applied upstream

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 16 Jul 2017 21:12:32 +0200

## tea 44.1.1

=== debian/changelog ===
tea (44.1.1-2) unstable; urgency=medium

  * Use debhelper v11
  * Update d/copyright
  * Switch Vcs-URLs to salsa.d.o
  * Update Standards-Version to 4.1.3, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 22 Jan 2018 19:23:12 +0100

tea (44.1.1-1) unstable; urgency=medium

  * New upstream version 44.1.1
    - Remove patch, has been applied upstream
  * Use HTTPS for upstream URLs
  * Use wrap-and-sort
  * Update Standards-Version to 4.1.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 24 Nov 2017 14:30:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,27 @@
 Section: editors
 Priority: optional
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 10), pkg-config, qtbase5-dev,
- qttools5-dev-tools, libqt5qml5, libqt5quick5, qtdeclarative5-dev,
- libaspell-dev, libhunspell-dev, zlib1g-dev, libpoppler-qt5-dev,
- libdjvulibre-dev
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11),
+               libaspell-dev,
+               libdjvulibre-dev,
+               libhunspell-dev,
+               libpoppler-qt5-dev,
+               libqt5qml5,
+               libqt5quick5,
+               pkg-config,
+               qtbase5-dev,
+               qtdeclarative5-dev,
+               qttools5-dev-tools,
+               zlib1g-dev
+Standards-Version: 4.1.3
 Homepage: https://tea.ourproject.org/
-Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/tea.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/tea.git
+Vcs-Browser: https://salsa.debian.org/debian/tea
+Vcs-Git: https://salsa.debian.org/debian/tea.git
 
 Package: tea
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tea-data (= ${source:Version})
-Recommends: bzip2, antiword, aspell | hunspell
+Depends: tea-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Recommends: antiword, aspell | hunspell, bzip2
 Description: graphical text editor with syntax highlighting
  TEA provides you with hundreds of functions. Want some tea?
  .

=== debian/rules ===
#!/usr/bin/make -f

# Use Qt5
export QT_SELECT=qt5
# Reduce unneeded linked libraries
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
# Use all hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	LC_ALL=C.UTF-8 dh $@

override_dh_auto_configure:
	LC_ALL=C.UTF-8 dh_auto_configure -- CONFIG+=usepoppler CONFIG+=usedjvu

override_dh_auto_install:
	LC_ALL=C.UTF-8 $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tea install

=== debian/watch ===
version=3
https://tea.ourproject.org/dloads/tea-(.*)\.tar\.bz2

## tea 45.0.2

=== debian/changelog ===
tea (45.0.2-1) unstable; urgency=medium

  * New upstream version 45.0.2
  * Update d/copyright
  * Use version 4 for d/watch
  * Update Standards-Version to 4.2.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 01 Sep 2018 23:24:50 +0200

## tea 46.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set (QT_MIN_VERSION "5.4.0")

include_directories(${Qt5Widgets_INCLUDE_DIRS})
add_definitions(${Qt5Widgets_DEFINITIONS})
add_definitions(${Qt5Widgets_COMPILE_DEFINITIONS})


set(PROJECT "tea")
project ($PROJECT VERSION 46.0.0)

add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")


if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
   add_definitions(-DQ_OS_LINUX)
   add_definitions(-DQ_OS_UNIX)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

message("CMAKE_SYSTEM_NAME: ${CMAKE_SYSTEM_NAME}")


find_package(PkgConfig REQUIRED)
pkg_check_modules(hunspell hunspell)
if(hunspell_FOUND)
  add_definitions(-DHUNSPELL_ENABLE)
  add_definitions(-DSPELLCHECK_ENABLE)
  message("+ hunspell support")
endif()


find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Network Qml Quick)
add_definitions(-DUSE_QML_STUFF)


if(BUILD_TESTING)
  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
endif()


qt5_add_resources(QT_RESOURCES rvln.qrc)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")


file(GLOB tea_SRCS "*.c" "*.cpp")
file(GLOB tea_HEADERS "*.h")


set(${PROJECT}_ICONPNG32
    ./icons/32/${PROJECT}.png
)


set(${PROJECT}_ICONPNG48
    ./icons/48/${PROJECT}.png
)


set(${PROJECT}_ICONPNG64
    ./icons/64/${PROJECT}.png
)


set(${PROJECT}_ICONPNG128
    ./icons/128/${PROJECT}.png
)

set(${PROJECT}_ICONSVG
    ./icons/svg/${PROJECT}.svg
)

set(${PROJECT}_DESKTOP
    ./desktop/${PROJECT}.desktop
)


add_custom_target(dist
COMMAND git archive --prefix=${PROJECT}-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}/ master | bzip2 >${PROJECT}-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}.tar.bz2
WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
)


add_executable(${PROJECT} ${tea_SRCS} ${QT_RESOURCES})


find_package(Qt5PrintSupport)
if (Qt5PrintSupport_FOUND)
   Message ("+ printer support")
   add_definitions(-DPRINTER_ENABLE)
   target_link_libraries(${PROJECT} Qt5::PrintSupport)
endif()


find_path(ASPELL_INLCUDES aspell.h
         "/usr/include/"
         "/usr/local/"
        )

if(ASPELL_INLCUDES)
  add_definitions(-DASPELL_ENABLE)
  add_definitions(-DSPELLCHECK_ENABLE)
  target_link_libraries(${PROJECT} libaspell.so)
  message("+ aspell support")
endif()


find_package(PkgConfig)
pkg_check_modules(popplerqt5 poppler-qt5)
if(popplerqt5_FOUND)
  add_definitions(-DPOPPLER_ENABLE)
  target_link_libraries(${PROJECT} ${popplerqt5_LIBRARIES})
  include_directories(${popplerqt5_INCLUDE_DIRS})

  message("+ poppler support")
endif()


find_package(PkgConfig)
pkg_check_modules(ddjvuapi ddjvuapi)
if(ddjvuapi_FOUND)
  add_definitions(-DDJVU_ENABLE)
  target_link_libraries(${PROJECT} ${ddjvuapi_LIBRARIES})
  include_directories(${ddjvuapi_INCLUDE_DIRS})

  message("+ djvuapi support")
endif()


if(UNIX OR MINGW)
    find_package(ZLIB REQUIRED)
else(UNIX OR MINGW)
    set(ZLIB_INCLUDE_DIRS "${QT_ROOT}/src/3rdparty/zlib" CACHE STRING "Path to ZLIB headers of Qt")
    set(ZLIB_LIBRARIES "")
    if(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
        message("Please specify a valid zlib include dir")
    endif(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
endif(UNIX OR MINGW)


if (ZLIB_FOUND)
    include_directories(${ZLIB_INCLUDE_DIRS} )
    target_link_libraries(${PROJECT} ${ZLIB_LIBRARIES} )
endif( ZLIB_FOUND )

if(hunspell_FOUND)
  include_directories(${hunspell_INCLUDE_DIRS} )
  target_link_libraries(${PROJECT} ${hunspell_LIBRARIES} )
endif()

target_link_libraries(${PROJECT} Qt5::Widgets Qt5::Core Qt5::Network Qt5::Qml Qt5::Quick)

install (TARGETS ${PROJECT} DESTINATION bin)
install (FILES ${tea_ICONSVG} DESTINATION share/icons/hicolor/scalable/apps)
install (FILES ${tea_ICONPNG32} DESTINATION share/icons/hicolor/32x32/apps)
install (FILES ${tea_ICONPNG48} DESTINATION share/icons/hicolor/48x48/apps)
install (FILES ${tea_ICONPNG64} DESTINATION share/icons/hicolor/64x64/apps)
install (FILES ${tea_ICONPNG128} DESTINATION share/icons/hicolor/128x128/apps)

install (FILES ${tea_DESKTOP} DESTINATION share/applications)

=== debian/changelog ===
tea (46.0.0-1) unstable; urgency=medium

  * New upstream version 46.0.0
  * Update d/copyright and add two omitted files
  * Use qmake buildsystem explicitly, otherwise debhelper chooses cmake.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 19 Sep 2018 21:07:16 +0200

## tea 46.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 set(PROJECT "tea")
-project ($PROJECT VERSION 46.0.0)
+project ($PROJECT VERSION 46.3.0)
 
 add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")
 
@@ -29,7 +29,7 @@
 pkg_check_modules(hunspell hunspell)
 if(hunspell_FOUND)
   add_definitions(-DHUNSPELL_ENABLE)
-  add_definitions(-DSPELLCHECK_ENABLE)
+#  add_definitions(-DSPELLCHECK_ENABLE)
   message("+ hunspell support")
 endif()
 
@@ -43,7 +43,7 @@
 endif()
 
 
-qt5_add_resources(QT_RESOURCES rvln.qrc)
+qt5_add_resources(QT_RESOURCES resources.qrc)
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
 
@@ -97,6 +97,12 @@
 endif()
 
 
+if (EXISTS "/usr/include/linux/joystick.h")
+   message("+JOYSTICK_SUPPORTED")
+   add_definitions(-DJOYSTICK_SUPPORTED)
+endif()
+
+
 find_path(ASPELL_INLCUDES aspell.h
          "/usr/include/"
          "/usr/local/"
@@ -104,7 +110,7 @@
 
 if(ASPELL_INLCUDES)
   add_definitions(-DASPELL_ENABLE)
-  add_definitions(-DSPELLCHECK_ENABLE)
+#  add_definitions(-DSPELLCHECK_ENABLE)
   target_link_libraries(${PROJECT} libaspell.so)
   message("+ aspell support")
 endif()

=== debian/changelog ===
tea (46.3.0-1) unstable; urgency=medium

  * New upstream version 46.3.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 19 Oct 2018 23:26:09 +0200

=== debian/watch ===
version=4
https://tea.ourproject.org/dloads/tea-(.*)\.tar\.bz2

## tea 47.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 set(PROJECT "tea")
-project ($PROJECT VERSION 46.3.0)
+project ($PROJECT VERSION 47.0.1)
 
 add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")

=== debian/changelog ===
tea (47.0.1-1) unstable; urgency=medium

  * New upstream version 47.0.1
  * Update d/watch to point to github

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 07 Dec 2018 16:32:43 +0100

## tea 47.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 set(PROJECT "tea")
-project ($PROJECT VERSION 47.0.1)
+project ($PROJECT VERSION 47.1.0)
 
 add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")
 
@@ -29,7 +29,6 @@
 pkg_check_modules(hunspell hunspell)
 if(hunspell_FOUND)
   add_definitions(-DHUNSPELL_ENABLE)
-#  add_definitions(-DSPELLCHECK_ENABLE)
   message("+ hunspell support")
 endif()
 
@@ -41,6 +40,7 @@
 if(BUILD_TESTING)
   find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
 endif()
+
 
 
 qt5_add_resources(QT_RESOURCES resources.qrc)
@@ -110,7 +110,6 @@
 
 if(ASPELL_INLCUDES)
   add_definitions(-DASPELL_ENABLE)
-#  add_definitions(-DSPELLCHECK_ENABLE)
   target_link_libraries(${PROJECT} libaspell.so)
   message("+ aspell support")
 endif()
@@ -122,7 +121,6 @@
   add_definitions(-DPOPPLER_ENABLE)
   target_link_libraries(${PROJECT} ${popplerqt5_LIBRARIES})
   include_directories(${popplerqt5_INCLUDE_DIRS})
-
   message("+ poppler support")
 endif()

=== debian/changelog ===
tea (47.1.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:19:39 +0100

tea (47.1.0-1) unstable; urgency=medium

  * New upstream version 47.1.0
  * Update d/copyright
  * Switch to debhelper-compat and use v12
  * Add Rules-Requires-Root: no
  * Update Standards-Version to 4.4.0, no changes needed
  * Apply fixes from cme fix dpkg

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 30 Aug 2019 14:27:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: tea
+Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
 Section: editors
 Priority: optional
-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libaspell-dev,
                libdjvulibre-dev,
                libhunspell-dev,
@@ -14,15 +14,20 @@
                qtdeclarative5-dev,
                qttools5-dev-tools,
                zlib1g-dev
-Standards-Version: 4.1.3
-Homepage: https://tea.ourproject.org/
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/tea
 Vcs-Git: https://salsa.debian.org/debian/tea.git
+Homepage: https://tea.ourproject.org/
+Rules-Requires-Root: no
 
 Package: tea
 Architecture: any
-Depends: tea-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: antiword, aspell | hunspell, bzip2
+Depends: tea-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: antiword,
+            aspell | hunspell,
+            bzip2
 Description: graphical text editor with syntax highlighting
  TEA provides you with hundreds of functions. Want some tea?
  .

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	LC_ALL=C.UTF-8 dh $@
+	LC_ALL=C.UTF-8 dh $@ --buildsystem=qmake
 
 override_dh_auto_configure:
-	LC_ALL=C.UTF-8 dh_auto_configure -- CONFIG+=usepoppler CONFIG+=usedjvu
+	LC_ALL=C.UTF-8 dh_auto_configure -O--buildsystem=qmake -- CONFIG+=usepoppler CONFIG+=usedjvu
 
 override_dh_auto_install:
 	LC_ALL=C.UTF-8 $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tea install
